Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002378 [Piwigo] synchronization minor always 2011.07.17 19:52 2011.08.30 11:26
Reporter plg View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.5 Product Version 2.2.4
  Target Version 2.2.5 Product Build
Summary 0002378: MySQL warning on simulation with new albums found
Description When you run the synchronization with simulation mode and with new albums, you get an ugly SQL error :


Warning: [mysql error 1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')
    AND status = 'private'' at line 4

SELECT
    id
  FROM piwigo_categories
  WHERE id IN ()
    AND status = 'private'
; in /home/pierrick/public_html/piwigo/tmp/224/include/dblayer/functions_mysql.inc.php on line 654
Warning: mysql_fetch_assoc() expects parameter 1 to be resource, boolean given in /home/pierrick/public_html/piwigo/tmp/224/include/dblayer/functions_mysql.inc.php on line 200
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0002245closedplg automatically give permissions to the creator of a new private album 

-  Notes
(0005444)
svn (reporter)
2011.08.30 11:25

[Subversion] r12011 by plg on branch 2.2

-----[Subversion commit log]----------------------------------------------------
bug 2378 fixed: remove MySQL warning when synchronizing with simulation
activated. The warning occurs when there are new dircetories found.
(0005445)
svn (reporter)
2011.08.30 11:25

[Subversion] r12012 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r12011 from branch 2.2 to trunk

bug 2378 fixed: remove MySQL warning when synchronizing with simulation
activated. The warning occurs when there are new dircetories found.


- Issue History
Date Modified Username Field Change
2011.07.17 19:52 plg New Issue
2011.07.17 19:52 plg Status new => assigned
2011.07.17 19:52 plg Assigned To => plg
2011.07.17 19:52 plg browser => any
2011.07.17 19:52 plg Web server => Apache 1.3.x
2011.07.19 16:56 rvelices Relationship added related to 0002245
2011.08.30 11:25 svn Checkin
2011.08.30 11:25 svn Note Added: 0005444
2011.08.30 11:25 svn Checkin
2011.08.30 11:25 svn Note Added: 0005445
2011.08.30 11:26 plg Status assigned => closed
2011.08.30 11:26 plg Resolution open => fixed
2011.08.30 11:26 plg Fixed in Version => 2.2.5


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker